

** Basic code for preparing data for analysis of the experiment **


global data "${path}\data" 




**Import data**


clear
set more off
import spss using "$data\raw\Project Biashara Final Data set 23122022.2.sav"


**Code ward** 

encode A4, generate(A4_num)


*** Drop wards with issues ****
*drop if (A4_num == 13 | A4_num == 93 |  A4_num == 54 | A4_num == 85 | A4_num == 80)



**Code background characteristics**

*sector*

clonevar sector_quota = quotar 

gen wr_trade = 0
replace wr_trade = 1 if sector_quota==2
label def wr_trade 1 "Wholesale & Retail" 0 "Other", modify
label val wr_trade wr_trade 

*role*

clonevar role = B1 

gen owner = 0
replace owner = 1 if role==1
label def owner 1 "Owner" 0 "Not Owner", modify
label val owner owner 

clonevar other_role = B1_others  

*structure*

clonevar business_str = B2 

gen soletrader = 0
replace soletrader = 1 if business_str==1
label def soletrader 1 "soletrader" 0 "other", modify
label val soletrader soletrader


*primary activity *


clonevar primary_activity = B4  


*age*


gen age =1 if B5 >= 18 & B5 <= 29
replace age =2 if B5 >= 30 & B5 <= 39
replace age =3 if B5 >= 40 & B5 <= 49
replace age =4 if B5 >= 50 & B5 <= 59
replace age =5 if B5 >= 60
label def age 1 "18-29" 2 "30-39" 3 "40-49" 4 "50-59" 5 "60+", modify
label val age age

gen below_36 = 0 
replace below_36 = 1 if B5 < 36
label def below_36 1 "Below 36" 0 "Above 36"
label val below_36 below_36 


*gender*


clonevar gender = B5a 

gen male = 0
replace male = 1 if gender==1
label def male 1 "Male" 0 "Female"
label val male male 


*number of employee*


clonevar num_employee = B7 



*Turnover*


clonevar turnover = B8 

gen TObelow_1mil = 0
replace TObelow_1mil = 1 if turnover==1
replace TObelow_1mil = 1 if turnover==2
replace TObelow_1mil = 1 if turnover==3
label def TObelow_1mil 1 "Below 1 mil" 0 "Above 1 mil", modify
label val TObelow_1mil TObelow_1mil


*Information Source*


clonevar info_source1 = B9_1 
clonevar info_source2 = B9_2 
clonevar infor_source3 = B9_3 
clonevar supplier_receipt = B10  
clonevar other_source3 = B9_3_others 
clonevar ward = A4_num



*Code Region and District*


encode A2, gen(region)
encode A3, gen(district)


** Code region into zones ** 


gen central_zone = 0 
replace central_zone = 1 if (region == 14 | region == 3 | region == 23)
label def central_zone 1 "Central Zone" 0 "Not Central Zone"
label val central_zone central_zone 

gen northern_zone = 0 
replace northern_zone = 1 if (region == 25 | region == 9 | region == 1 | region == 11)
label def northern_zone 1 "Northern Zone" 0 "Not Northern Zone"
label val northern_zone northern_zone 

gen eastern_zone = 0 
replace eastern_zone = 1 if (region == 2 | region == 18)
label def eastern_zone 1 "Eastern Zone" 0 "Not Eastern Zone"
label val eastern_zone eastern_zone 

gen southern_zone = 0 
replace southern_zone = 1 if (region == 10 | region == 15 | region == 20 | region == 17)
label def southern_zone 1 "Southern Zone" 0 "Not Southern Zone"
label val southern_zone southern_zone 

gen southern_high = 0 
replace southern_high = 1 if (region == 5 | region == 13 | region == 19 | region == 7)
label def southern_high 1 "Southern High" 0 "Not Southern High"
label val southern_high southern_high 

gen lake_zone = 0 
replace lake_zone = 1 if (region == 16 | region == 21 | region == 12 | region == 22 | region == 4)
label def lake_zone 1 "Lake Zone" 0 "Not Lake Zone"
label val lake_zone lake_zone

gen western_zone = 0 
replace western_zone = 1 if (region == 24 | region == 8 | region == 6)
label def western_zone 1 "Western Zone" 0 "Not Western Zone"
label val western_zone western_zone 

gen east_south_high = 0 
replace east_south_high = 1 if (region == 5 | region == 13 | region == 19 | region == 7 | region == 2)
label def east_south_high 1 "Estern/Southern Zones" 0 "Other Zones"
label val east_south_high east_south_high 



* Code region into a zones (categorical variable) * 


gen zones = 1 if (region == 2 | region == 18)   
replace zones = 2 if (region == 14 | region == 3 | region == 23) 
replace zones = 3 if (region == 25 | region == 9 | region == 1 | region == 11) 
replace zones = 4 if (region == 10 | region == 15 | region == 20 | region == 17) 
replace zones = 5 if (region == 5 | region == 13 | region == 19 | region == 7) 
replace zones = 6 if (region == 16 | region == 21 | region == 12 | region == 22 | region == 4) 
replace zones = 7 if (region == 24 | region == 8 | region == 6) 
label def zones 1 "Eastern Zone" 2 "Central Zone" 3 "Northen Zone" 4 "Southern Zone" 5 "Southern Highlands" 6 "Lake Zone" 7 "Western Zone", modify 
label val zones zones



*Code Education*



gen education =.
replace education = 1 if (B6 == 8)
replace education = 2 if (B6 == 1 | B6 == 9)
replace education = 3 if (B6 == 2 | B6 == 3)
replace education = 4 if (B6 == 4)
replace education = 5 if (B6 == 5)
replace education = 6 if (B6 == 6 | B6 == 7)
label def education 1 "No Education" 2 "Primary Education" 3 "Secondary Education" ///
	4 "Diploma or Certificate" 5 "Technical Qualification" 6 "University", modify 
label val education education 
label var education "What is your highest education qualification?"

gen prim_edu = 0 
replace prim_edu = 1 if (B6 == 1 | B6 == 9)
label def prim_edu 1 "Primary Education" 0 "Other Education", modify 
label val prim_edu prim_edu 



*Code Level of Involvement*



gen involvement = . 
replace involvement = 1 if (B3 == 1 | B3 == 2)
replace involvement = 0 if (B3 == 3 | B3 == 4)
label def involvement 1 "Not Involved" 0 "Involved", modify
label val involvement involvement 


**Code primary outcomes**

*Own tax paying behavior*


*Direct (C11)*

gen direct = 0
replace direct = 1 if C11==2
label def direct 1 "Not True" 0 "True"
label val direct direct 


*Pay (C11)*


*gen pay = 0
*replace pay = 1 if C11==2
*label def pay 1 "Not True" 0 "True"
*label val pay pay 



*Not punishable (D19)*


gen not_punishable = 0
replace not_punishable = 1 if D19 > 2
label def not_punishable 1 "Punishable" 0 "Not Punishable"
label val not_punishable not_punishable



*Punishable (D19)*



*gen punishable = 0
*replace punishable = 1 if D19 > 2
*label def punishable 1 "Punishable" 0 "Not Punishable"
*label val punishable punishable



*Avoid paying (D20a)*



gen avoid_paying = 0
replace avoid_paying = 1 if D20a<=3
label def avoid_paying 1 "Disagree" 0 "Agree"
label val avoid_paying avoid_paying



*Pay with low enforcement (D20a)*



gen low_enforce_pay = 0
replace low_enforce_pay = 1 if D20a<4
label def low_enforce_pay 1 "Disagree" 0 "Agree"
label val low_enforce_pay low_enforce_pay



*Not important (D20b)*



gen not_important = 0
replace not_important = 1 if D20b<=3



*Important (D20b)*



gen important = 0
replace important = 1 if D20b > 3
label def important 1 "Important" 0 "Not Important"
label val important important


*No right (D20c)*


gen no_right = 0
replace no_right = 1 if D20c<=3



*Has right (D20c)*


gen has_right = 0
replace has_right = 1 if D20c > 3
label def has_right 1 "Has Right" 0 "Doesn't Have Right"
label val has_right has_right


*Refuse (D20d)*


gen refuse = 0
replace refuse = 1 if D20d<=3
label def refuse 1 "Disagree" 0 "Agree"
label val refuse refuse


*Dont Refuse to Pay (D20d)*



gen firms_refuse = 0
replace firms_refuse = 1 if D20d < 4
label def firms_refuse 1 "Disagree" 0 "Agree"
label val firms_refuse firms_refuse



*OWN INDEX*

egen z_direct = std(direct)

egen z_not_punishable = std(not_punishable)

egen z_avoid_paying = std(avoid_paying)

//egen z_not_important = std(not_important)

//egen z_no_right = std(no_right)

egen z_refuse = std(refuse)

egen own_index = rowmean(z_direct z_not_punishable z_avoid_paying z_refuse)



*Others tax paying behavior*

*Others do not pay (C12b)*

gen others_donotpay = 0
replace others_donotpay = 1 if C12b>=4
label def others_donotpay 1 "Agree" 0 "Disagree"
label val others_donotpay others_donotpay

*Others expect others do not pay (C12c)*

gen others_expect = 0
replace others_expect = 1 if C12c>=4
label def others_expect 1 "Agree" 0 "Disagree"
label val others_expect others_expect

*Others not compliant (C13)*

gen others_notcompliant = 0
replace others_notcompliant = 1 if C13>=3
label def others_notcompliant 1 "Not Compliant" 0 "Compliant"
label val others_notcompliant others_notcompliant

*Evasion easy (C14)*

gen evasion_easy = 0
replace evasion_easy = 1 if C14<=3
label def evasion_easy 1 "Easy" 0 "Difficult"
label val evasion_easy evasion_easy

*Other INDEX*

egen z_others_donotpay = std(others_donotpay)

egen z_others_expect = std(others_expect)

egen z_others_notcompliant = std(others_notcompliant)

egen z_evasion_easy = std(evasion_easy)

egen other_index = rowmean(z_others_donotpay z_others_expect z_others_notcompliant z_evasion_easy)


**(2) Code Secondary outcome variables**


gen aware_oblgtns = . 
replace aware_oblgtns = 1 if C12a >= 4 
replace aware_oblgtns = 0 if aware_oblgtns == .
label def aware_oblgtns 1 "Agree" 0 "Disagree"
label val aware_oblgtns aware_oblgtns

gen easy_process = . 
replace easy_process = 1 if C12d >= 4
replace easy_process = 0 if easy_process == .
label def easy_process 1 "Agree" 0 "Disagree"
label val easy_process easy_process 

gen reward_compliance = . 
replace reward_compliance = 1 if C12e >= 4
replace reward_compliance = 0 if reward_compliance == .
label def reward_compliance 1 "Agree" 0 "Disagree"
label val reward_compliance reward_compliance 

gen supplier_compliance = . 
replace supplier_compliance = 1 if C12f >= 4
replace supplier_compliance = 0 if supplier_compliance == .
label def supplier_compliance 1 "Agree" 0 "Disagree"
label val supplier_compliance supplier_compliance 

gen legal_act_high = . 
replace legal_act_high = 1 if C12g >= 4
replace legal_act_high = 0 if legal_act_high == .
label def legal_act_high 1 "Agree" 0 "Disagree"
label val legal_act_high legal_act_high 

gen service_justfy = . 
replace service_justfy = 1 if C12h >= 4
replace service_justfy = 0 if service_justfy == .
label def service_justfy 1 "Agree" 0 "Disagree"
label val service_justfy service_justfy

gen additional_service = . 
replace additional_service = 1 if C12i >= 4
replace additional_service = 0 if additional_service == .
label def additional_service 1 "Agree" 0 "Disagree"
label val additional_service additional_service

gen able_complain = . 
replace able_complain = 1 if C12j >= 4
replace able_complain = 0 if able_complain == .
label def able_complain 1 "Agree" 0 "Disagree"
label val able_complain able_complain

gen deadline_clear = . 
replace deadline_clear = 1 if C12n >= 4
replace deadline_clear = 0 if deadline_clear == .
label def deadline_clear 1 "Agree" 0 "Disagree"
label val deadline_clear deadline_clear

gen fair_treatment = . 
replace fair_treatment = 1 if C12q >= 4
replace fair_treatment = 0 if fair_treatment == .
label def fair_treatment 1 "Agree" 0 "Disagree"
label val fair_treatment fair_treatment

gen paying_easy = . 
replace paying_easy = 1 if C12r >= 4
replace paying_easy = 0 if paying_easy == .
label def paying_easy 1 "Agree" 0 "Disagree"
label val paying_easy paying_easy

gen laws_complex = . 
replace laws_complex = 1 if C12v >= 4
replace laws_complex = 0 if laws_complex == .
label def laws_complex 1 "Agree" 0 "Disagree"
label val laws_complex laws_complex

gen laws_not_complex = . 
replace laws_not_complex = 0 if C12v >= 4
replace laws_not_complex = 1 if laws_not_complex == .
label def laws_not_complex 1 "Disagree" 0 "Agree", modify
label val laws_not_complex laws_not_complex

gen no_visit = 1 if C15 == 1
replace no_visit = 0 if no_visit == .
label def no_visit 1 "Not Visited" 0 "Visited"
label val no_visit no_visit

gen informed = . 
replace informed = 1 if C16 <= 3
replace informed = 0 if informed == .
label def informed 1 "Informed" 0 "Not Informed"
label val informed informed

gen surv_exp = . 
replace surv_exp = 1 if D18 >= 1
replace surv_exp = 0 if D18 == .
label def surv_exp 1 "Treatment" 0 "Control"
label val surv_exp surv_exp

gen trust_tra = . 
replace trust_tra = 1 if D21 >= 4
replace trust_tra = 0 if trust_tra == .
label def trust_tra 1 "Trust" 0 "Distrust"
label val trust_tra trust_tra



**Treatment variable**



bys A4_num: egen total_obs = count(C_T)

bys A4_num: egen sumtreat_obs = total(C_T)


gen treat_total_obs = sumtreat_obs/total_obs


gen treatment = 0
replace treatment = 1 if treat_total_obs>0.5
label def treatment 1 "Treatment" 0 "Control"
label val treatment treatment  



** Interact background characteristics with treatment **


foreach var of varlist owner soletrader male TObelow_1mil involvement wr_trade central_zone ///
	northern_zone eastern_zone southern_zone southern_high lake_zone western_zone east_south_high {
	gen not_`var' = 1 if `var' == 0 
	replace not_`var' = 0 if `var' == 1
}

foreach var of varlist owner soletrader male TObelow_1mil involvement wr_trade central_zone ///
	northern_zone eastern_zone southern_zone southern_high lake_zone western_zone east_south_high {
	gen `var'_treat = `var'*treatment
}

foreach var of varlist not_owner not_soletrader not_male not_TObelow_1mil not_involvement not_wr_trade not_central_zone ///
	not_northern_zone not_eastern_zone not_southern_zone not_southern_high not_lake_zone not_western_zone not_east_south_high{
	gen `var'_treat = `var'*treatment
}
*


**Variables labels**



label var direct "My firm does not pay all the [Direct taxes] it is required to pay"
label var avoid_paying "If I was sure I would not get caught, I would not pay all the taxes that I owe"
label var refuse "Firms should refuse to pay taxes until they get better services from the national government"
label var others_donotpay "Most firms I know evade or underpay their taxes"
label var others_expect "Most firms I know expect that other firms evade or underpay their taxes"
label var others_notcompliant "How compliant with their tax obligations would you say most firms are"
label var evasion_easy "How easy or difficult is it for firms, like yours, to not pay taxes"
label var aware_oblgtns "I am fully aware of my firm’s tax obligations"
label var easy_process "The process of declaring and paying taxes is easy" 
label var reward_compliance "Rewarding tax compliant behavior would result in more firms paying their taxes"
label var supplier_compliance "Firm chooses suppliers, considers whether they pay their taxes regularly" 
label var legal_act_high "Risk of legal action for firms evading/underpaying taxes in Tanzania is high"
label var service_justfy "Public services provided by the government justify the taxes imposed on firms." 
label var additional_service "Additional services benefiting firms would justify higher taxes"
label var able_complain "Firms are able to voice complaints about the TRA and the TRA listens to and acts on these" 
label var deadline_clear "The expected deadlines for paying taxes were clear"
label var fair_treatment "TRA treats all taxpayers fairly"
label var paying_easy "TRA makes it easy for you to pay your taxes"
label var laws_complex "The current tax laws and regulations are complex"
label var informed "How well informed would you consider yourself to be regarding your tax affairs "
label var trust_tra "How much do you trust the Tanzania Revenue Authority"


save "$data\analysis\prepared.dta", replace

